VirtualBox

Changeset 12827 in vbox for trunk/src/VBox/Installer


Ignore:
Timestamp:
Sep 30, 2008 11:23:19 AM (17 years ago)
Author:
vboxsync
svn:sync-xref-src-repo-rev:
37187
Message:

Solaris/installer: less verbose, don't bail out while unloading previous module and leave vboxflt behind.

Location:
trunk/src/VBox/Installer/solaris
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/VBox/Installer/solaris/postinstall.sh

    r12761 r12827  
    3030currentzone=`zonename`
    3131if test "$currentzone" = "global"; then
    32     echo "Configuring VirtualBox Host kernel module..."
     32    echo "Configuring VirtualBox kernel module(s)..."
    3333    /opt/VirtualBox/vboxdrv.sh stopall silentunload
    3434    /opt/VirtualBox/vboxdrv.sh start
    3535
    3636    if test -f /platform/i86pc/kernel/drv/vboxflt.conf; then
    37         echo "Configuring VirtualBox NetFilter kernel module..."
    3837        /opt/VirtualBox/vboxdrv.sh fltstart
    3938    fi
  • trunk/src/VBox/Installer/solaris/vboxdrv.sh

    r12650 r12827  
    2626abort()
    2727{
    28     echo 1>&2 "$1"
     28    echo 1>&2 "## $1"
    2929    exit 1
    3030}
     
    5151        modulepath="$MODDIR32/$MODNAME"
    5252        if test -f "$modulepath"; then
    53             abort "## Found 32-bit module instead of 64-bit. Please install the amd64 package!"
     53            abort "Found 32-bit module instead of 64-bit. Please install the amd64 package!"
    5454        fi
    5555    else
     
    5757        modulepath="$MODDIR64/$MODNAME"
    5858        if test -f "$modulepath"; then
    59             abort "## Found 64-bit module instead of 32-bit. Please install the x86 package!"
    60         fi
    61     fi
    62 
    63     abort "## VirtualBox Host kernel module NOT installed."
     59            abort "Found 64-bit module instead of 32-bit. Please install the x86 package!"
     60        fi
     61    fi
     62
     63    abort "VirtualBox Host kernel module NOT installed."
    6464}
    6565
     
    108108        fi
    109109        if test ! module_loaded; then
    110             abort "## Failed to load VirtualBox Host kernel module."
     110            abort "Failed to load VirtualBox Host kernel module."
    111111        elif test -c "/devices/pseudo/$MODNAME@0:$MODNAME"; then
    112112            info "VirtualBox Host kernel module loaded."
     
    120120{
    121121    if module_loaded; then
    122         /usr/sbin/rem_drv $MODNAME || abort "## Failed to unload VirtualBox Host kernel module."
     122        /usr/sbin/rem_drv $MODNAME || info "## WARNING!! Failed to unload VirtualBox Host kernel module. Old one still active!"
    123123        info "VirtualBox Host kernel module unloaded."
    124124    elif test -z "$SILENTUNLOAD"; then
     
    129129    vbi_mod_id=`/usr/sbin/modinfo | grep vbi | cut -f 1 -d ' ' `
    130130    if test -n "$vbi_mod_id"; then
    131         /usr/sbin/modunload -i $vbi_mod_id
     131        /usr/sbin/modunload -i $vbi_mod_id > /dev/null 2>&1
    132132    fi
    133133}
     
    141141        /usr/sbin/modload -p drv/$FLTMODNAME
    142142        if test ! vboxflt_module_loaded; then
    143             abort "## Failed to load VirtualBox NetFilter kernel module."
     143            abort "Failed to load VirtualBox NetFilter kernel module."
    144144        else
    145145            info "VirtualBox NetFilter kernel module loaded."
     
    151151{
    152152    if vboxflt_module_loaded; then
    153         /usr/sbin/rem_drv $FLTMODNAME || abort "## Failed to unload VirtualBox NetFilter module."
     153        /usr/sbin/rem_drv $FLTMODNAME || info "## WARNING!! Failed to unload VirtualBox NetFilter module. Old one still active!"
    154154        info "VirtualBox NetFilter kernel module unloaded."
    155155    elif test -z "$SILENTUNLOAD"; then
Note: See TracChangeset for help on using the changeset viewer.

© 2025 Oracle Support Privacy / Do Not Sell My Info Terms of Use Trademark Policy Automated Access Etiquette